Summary:	SLAP - SEIKO SmartLabel Printing Utility
Name:		slap
Version:	2r4p4
Release:	7mdk
License:	GPL
Group:		Publishing

# SLAP
Source:		http://members.tripod.com/~uutil/slap/%{name}%{version}.tar.bz2
# Static library needed by SLAP
Source1:	http://members.tripod.com/~uutil/slap/mjsulib3r0p1.tar.bz2

Url:		http://members.tripod.com/~uutil/slap/
BuildRoot:	%_tmppath/%name-%version-%release-root

%description
SLAP is a UNIX command line program that prints labels on many SEIKO Smart
Label Printers. It prints only text, no graphics, PostScript, and so on.
The text can be printed in 16 different fonts and in 6 font sizes. Enter
"man slap" at the command prompt for more info.

%prep

# Load source code
%setup -q -n slap
%setup -q -T -D -a 1 -n $RPM_BUILD_DIR/%name

# Correct file permissions
chmod -R u+w *

%build

# Compile static library
mkdir mjsulibfiles
cd mjsulib/
./Configure $RPM_BUILD_DIR/%name/mjsulibfiles
%make install
cd ..

# Compile SLAP
yes | ./Configure $RPM_BUILD_ROOT/usr
# Set library path
perl -p -i -e 's!/somewhere!/'$RPM_BUILD_DIR'/%name/mjsulibfiles!' makefile
# Correct path for man pages
perl -p -i -e 's!man/man1!share/man/man1!' makefile
%make

# Compile SLAP font converter
%make sdk

%install

# Clean up
rm -fr %buildroot

# Install SLAP
%makeinstall

# Install font converter
install -m 755 makefont %buildroot/%_bindir

# Correct file permissions
chmod -R u+w %buildroot/*


%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc *.txt 9devnotes COPYING FAQ.htm HOWTO
%_bindir/*
%_libdir/slap*
%_mandir/man*/*

%changelog
* Fri Sep  2 2005 Till Kamppeter <till@mandriva.com> 2r4p4-7mdk
- Removed the dust of 1 year not rebuilding.

* Fri Aug 13 2004 Till Kamppeter <till@mandrakesoft.com> 2r4p4-6mdk
- Rebuilt.

* Wed Jul 23 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2r4p4-5mdk
- rebuild
- don't rm -rf $RPM_BUILD_ROOT in %%prep

* Fri Jan 17 2003 Till Kamppeter <till@mandrakesoft.com> 2r4p4-4mdk
- Rebuilt for new glibc.
- Removed menu icon.

* Thu Aug 22 2002 David BAUDENS <baudens@mandrakesoft.com> 2r4p4-3mdk
- Don't call man in menu entry

* Fri Feb 22 2002 Till Kamppeter <till@mandrakesoft.com> 2r4p4-2mdk
- rebuilt

* Wed Feb 21 2001 Till Kamppeter <till@mandrakesoft.com> 2r4p4-1mdk
- initial release
